define({"229":{y:0,u:"../Content/Reference/LuaMethods/getOffsetLength_component.htm",l:-1,t:"getOffsetLength",i:0.00130373502240468,a:"getOffsetLength Provides information on where in a document a particular component is found.  Syntax edkcomponent:getOffsetLength() Returns The position of the component, in characters from the beginning of the normalized match text buffer. "},"230":{y:0,u:"../Content/Reference/LuaMethods/getText.htm",l:-1,t:"getText",i:0.0126647420466986,a:"getText Returns the normalized output text matched by a particular component.  Syntax edkcomponent:getText() Returns The matched text for a specified component. You can use  setText  to edit the text."},"231":{y:0,u:"../Content/Reference/LuaMethods/setMatchLength_component.htm",l:-1,t:"setMatchLength",i:0.00130373502240468,a:"setMatchLength Modifies the size of a component match. Syntax edkcomponent:getMatchLength(new_length) Arguments Returns The new length of the component matched text, in characters.  Related Topics getMatchLength"},"232":{y:0,u:"../Content/Reference/LuaMethods/setMatchSize_component.htm",l:-1,t:"setMatchSize",i:0.00130373502240468,a:"setMatchSize Modifies the size of a component match. Syntax edkcomponent:setMatchLength(new_size) Arguments Returns The new size of the component matched text, in bytes.  Related Topics getMatchSize"},"233":{y:0,u:"../Content/Reference/LuaMethods/setName.htm",l:-1,t:"setName",i:0.0126647420466986,a:"setName Edits the name of the component that you retrieved with  getName . Syntax edkcomponent:setName(new_name) Arguments Returns The new component name."},"234":{y:0,u:"../Content/Reference/LuaMethods/setText.htm",l:-1,t:"setText",i:0.0126647420466986,a:"setText Modifies the normalized text matched by a particular component that you retrieved with  getText . Syntax edkcomponent:setText(new_text) Arguments Returns The new matched text for the specified component."},"235":{y:0,u:"../Content/Reference/LuaMethods/edkenmassematch.htm",l:-1,t:"edkEnMasseMatch Methods",i:0.00123381831597202,a:"An edkEnMasseMatch object represents a match that is being processed in an en-masse post-processing task. You cannot manipulate the match directly; instead you call the  getMatch  method to obtain an  edkmatch  object. The following methods are available on edkEnMasseMatch objects."},"236":{y:0,u:"../Content/Reference/LuaMethods/getMatch.htm",l:-1,t:"getMatch",i:0.0014960059650945,a:"Returns an  edkmatch  object that you can use to manipulate the match. Syntax edkEnMasseMatch:getMatch() Returns An  edkmatch  object. Example The following example Lua script uses the getMatch method to obtain an edkmatch object: function processmatches(matches)\n    -- example that discards matches ..."},"237":{y:0,u:"../Content/Reference/LuaMethods/getOutput.htm",l:-1,t:"getOutput",i:0.0014960059650945,a:"getOutput Returns whether the match is included in the results. Syntax edkEnMasseMatch:getOutput() Returns Boolean. True if the match is going to be included in the results, or false if it is going to be discarded."},"238":{y:0,u:"../Content/Reference/LuaMethods/setOutput.htm",l:-1,t:"setOutput",i:0.0014960059650945,a:"Sets  whether to include the match in the results. Syntax edkEnMasseMatch:setOutput(output) Arguments Example The following script uses the setOutput method to discard matches with a score less than 0.5: function processmatches(matches)\n    -- example that discards matches with score \u003c 0.5\n    for ..."},"239":{y:0,u:"../Content/Reference/LuaMethods/edkmatch.htm",l:-1,t:"edkMatch Methods",i:0.00283753411108654,a:"The following methods are available on edkMatch objects. Method Description addComponent Adds a new component to the match. getComponent Returns a specific component. getComponentCount Returns the total number of components in a match. getContribution Returns a specific scoring contribution. ..."},"240":{y:0,u:"../Content/Reference/LuaMethods/LuaEdkMatch_new.htm",l:-1,t:"LuaEdkMatch:new",i:0.0013678137301232,a:"The constructor for a LuaEdkMatch object (creates a new LuaEdkMatch object). Syntax LuaEdkMatch:new() or LuaEdkMatch:new(entity_name, matched_text, offset) Arguments You can use this constructor without arguments to create a match without values set. However, to reduce the amount of repeated code, ..."},"241":{y:0,u:"../Content/Reference/LuaMethods/addComponent.htm",l:-1,t:"addComponent",i:0.0013678137301232,a:"Adds a new component to the match. For example, if your Eduction task returns an email address as a match, you can use addComponent to extract the text after the @ symbol and add it as a DOMAIN component for the match. You can also use addComponent to add metadata from other sources. For example, if ..."},"242":{y:0,u:"../Content/Reference/LuaMethods/getComponent.htm",l:-1,t:"getComponent",i:0.00143773043655586,a:"The getComponent method returns a specified component object. The components are zero-indexed. For example, if you have six components, you can get the last component by using edkmatch:getComponent(5). Syntax edkmatch:getComponent(index) Arguments Returns The component object at the specified index ..."},"243":{y:0,u:"../Content/Reference/LuaMethods/getComponentCount.htm",l:-1,t:"getComponentCount",i:0.0013678137301232,a:"getComponentCount Returns the total number of components in a match. Syntax edkmatch:getComponentCount() Returns The number of components."},"244":{y:0,u:"../Content/Reference/LuaMethods/getContribution.htm",l:-1,t:"getContribution",i:0.00253046120834346,a:"Returns a specified scoring contribution. The final score for a match (as retrieved through the  getScore  method) can be the product of multiple scoring contributions. For some entities the score is then normalized (for example so that it is always a value between 0 and 1). Syntax ..."},"245":{y:0,u:"../Content/Reference/LuaMethods/getContributionsCount.htm",l:-1,t:"getContributionsCount",i:0.0013678137301232,a:"Returns the number of scoring contributions, that contributed to the score for the match. Syntax edkmatch:getContributionsCount() Returns The number of scoring contributions. Example For an example that demonstrates how to obtain scoring contributions, see the example for the  getContribution  ..."},"246":{y:0,u:"../Content/Reference/LuaMethods/getEntityName.htm",l:-1,t:"getEntityName",i:0.00911782538609345,a:"getEntityName Gets an entity name from a match. Syntax edkmatch:getEntityName() Returns The name of the entity in a match. You can use  setEntityName  to edit the name."},"247":{y:0,u:"../Content/Reference/LuaMethods/getMatchedText.htm",l:-1,t:"getMatchedText",i:0.00911782538609344,a:"Returns the input text for a particular match, that is, the text before any normalization or modification that occurs as part of the extraction process. Syntax edkmatch:getMatchedText() Returns The input text for a match. You can use  setMatchedText  to edit the text. Related Topics getOutputText"},"248":{y:0,u:"../Content/Reference/LuaMethods/getOffset.htm",l:-1,t:"getOffset",i:0.00911782538609345,a:"getOffset Provides information on where in a document a particular match is found. Syntax edkmatch:getOffset() Returns The position of the match, in bytes from the beginning of the text buffer. You can use  setOffset  to edit this information."},"249":{y:0,u:"../Content/Reference/LuaMethods/getOffsetLength.htm",l:-1,t:"getOffsetLength",i:0.0013678137301232,a:"getOffsetLength Provides information on where in a document a particular match is found.  Syntax edkmatch:getOffsetLength() Returns The position of the match, in characters from the beginning of the text buffer. You can use  setOffsetLength  to edit this information."},"250":{y:0,u:"../Content/Reference/LuaMethods/getOutputText.htm",l:-1,t:"getOutputText",i:0.00911782538609344,a:"Returns the output text for a match; that is, the text after any normalization or modification that takes place as part of the extraction process. Syntax edkmatch:getOutputText() Returns The output text of a match. You can use  setOutputText  to edit the text. Related Topics getMatchedText"},"251":{y:0,u:"../Content/Reference/LuaMethods/getScore.htm",l:-1,t:"getScore",i:0.0168678370420637,a:"getScore Retrieves the score for a match. Syntax edkmatch:getScore() Returns The score for the match. You can use  setScore  to edit the score."},"252":{y:0,u:"../Content/Reference/LuaMethods/setEntityName.htm",l:-1,t:"setEntityName",i:0.00911782538609345,a:"setEntityName Modifies the name of the entity that you retrieved by using  getEntityName . Syntax edkmatch:setEntityName(new_name) Arguments Returns The new entity name."},"253":{y:0,u:"../Content/Reference/LuaMethods/setMatchedText.htm",l:-1,t:"setMatchedText",i:0.00911782538609344,a:"Modifies the input text that you retrieved by using  getMatchedText . The input text is the text before any normalization or modification that takes place as part of the extraction process. By contrast,  setOutputText  enables you to modify the output text after any changes. Syntax ..."},"254":{y:0,u:"../Content/Reference/LuaMethods/setOffset.htm",l:-1,t:"setOffset",i:0.00911782538609345,a:"setOffset Modifies the position of a match in a document.  Syntax edkmatch:setOffset(new_offset) Arguments Returns The new position of the match (in bytes). Related Topics getOffset"},"255":{y:0,u:"../Content/Reference/LuaMethods/setOffsetLength.htm",l:-1,t:"setOffsetLength",i:0.00253046120834346,a:"setOffsetLength Modifies the position of a match in a document.  Syntax edkmatch:setOffsetLength(new_length) Arguments Returns The new position of the match (in characters)."},"256":{y:0,u:"../Content/Reference/LuaMethods/setOutputText.htm",l:-1,t:"setOutputText",i:0.00911782538609344,a:"Modifies the output text that you retrieved by using  getOutputText . The output text is the text after any normalization or modification that takes place as part of the extraction process. By contrast,  setMatchedText  enables you to modify the input text before any changes are made. Syntax ..."},"257":{y:0,u:"../Content/Reference/LuaMethods/setScore.htm",l:-1,t:"setScore",i:0.0157051895638434,a:"setScore Modifies the match score that you retrieved with  getScore . Syntax edkmatch:setScore(new_score) Arguments Returns The new score for the match."},"258":{y:0,u:"../Content/Reference/LuaMethods/session.htm",l:-1,t:"session Methods",i:0.00123381831597202,a:"session Methods The following methods are available on session objects."},"259":{y:0,u:"../Content/Reference/LuaMethods/injectMatch.htm",l:-1,t:"injectMatch",i:0.00228256891246194,a:"Injects a match into the current matching session. This method accepts an edkMatch object. This edkMatch must be one that you create in the Lua script; nothing happens if you call injectMatch on the match from Eduction that you first pass into the finalizematch function. After you call this ..."},"260":{y:0,u:"../Content/Reference/LuaMethods/IDOLStandardLua.htm",l:-1,t:"Standard IDOL Lua Functions",i:0.00123381831597202,a:"The Eduction SDK allows you to use all standard IDOL Lua functions and methods. Most of these functions and methods are not relevant to Eduction, but in some cases you might find the general functions useful.  For details of the available methods, refer to the IDOL NiFi Ingest Getting Started Guide. ..."},"261":{y:0,u:"../Content/Resources/MasterPages/_FT_Glossary.htm",l:-1,t:"Glossary",i:0.00123381831597202,a:"Glossary"},});